/********************************************************
 * Adam Jahnke Final Project                            *
 * Tested in Processing 3  
 *      
 * Data sourced from George Legrady's Pompidou data set *
 * Reference code: Rodger Luo and Echo Theohar          *
 *                                                      *
 *                                                      *
 ********************************************************/

import peasy.*;
PeasyCam cam;

Table table;
int rows, columns;

float x, y;

String element;

float max, min;

int Facebook_count = 0;
int Instagram_count = 0;
int BBC_count = 0;
int Yahoo_count = 0;
int Youtube_count = 0;
int Google_count = 0;

String [] Query = {"Facebook", "Instagram", "BBC", "Yahoo", "Youtube", "Google"};

String [] Counts = {"222", "7", "13", "60", "166", "377"};

//int [] Test = {222, 7, 13, 60, 166, 377};

//color colormap;

color[] myColor ={color(150), color(0), color(30), color(60), color(100), color(230)};

//float[][] Test2; 

void setup() {
  size(1280, 720, P3D);

  cam = new PeasyCam(this, 100);

  cam.setYawRotationMode();
  cam.setMinimumDistance(100);
  cam.setMaximumDistance(500);

  //Test2 = new float [Test];

  //  //Added on Jan 30th by Rodger Luo
  //float  cameraZ = (height/2.0) / tan(PI*60.0/360.0);
  //perspective(PI/3.0, width/height, 0.001, cameraZ*10.0); //set near clip to 0.001 to go inside data
  ////Finished adding 

  table = loadTable("FullSearchData.csv", "header");

  rows = table.getRowCount ();
  columns = table.getColumnCount ();

  println("Rows: " + rows);
  println("Columns: " + columns);

  for (int i = 0; i < rows; i++) {
    element = table.getString(i, 4);
    if (element.equals("google")) {
      Google_count += 1;
      // text("Porno: " + Porno_count, 60, height/2);
    }
    if (element.equals("bbc")) {
      BBC_count += 1;
    }
    if (element.equals("facebook")) {
      Facebook_count += 1;
    }
    if (element.equals("youtube")) {
      Youtube_count += 1;
    }
    if (element.equals("instagram")) {
      Instagram_count += 1;
    }

    if (element.equals("yahoo")) {
      Yahoo_count += 1;
    }
  }
  println ("Google: "+ Google_count);
  println("Facebook: "+ Facebook_count);
  println("BBC: "+ BBC_count);
  println("Instagram: "+ Instagram_count);
  println("Yahoo: "+ Yahoo_count);
  println("Youtube: "+ Youtube_count);
}

void draw () {
  background(0);
  stroke(255);
  fill(255, 0, 0);

  //Drawing Boxes

  for (int i = 0; i < 6; i++) {

    pushMatrix();
    //colormap = (int) map(Test, min, max, 255, 0);
    fill(myColor[i]);
    //tint(50);
    translate(0, 40*i, 0);
    box(40, 40, 40);
    popMatrix();
  }

  //Drawing queries

  for (int i = 0; i < Query.length; i++) {
    pushMatrix();
    translate(-150, 0);
    text(Query[i], 200, 43*i);
    popMatrix();
  }

  // Drawing counts

  for (int i = 0; i < Counts.length; i++) {
    pushMatrix();
    translate(-150, 0);
    text(Counts[i], 270, 43*i);
    popMatrix();
  }



  //Drawing left side text (Heads UP Display [HUD])
  cam.beginHUD();
  for (int i= 0; i < rows; i++) {
    x=x- .0005;
    element = table.getString(i, 4);
    pushMatrix();
    translate(0, x);
    text(element, 10, 15*i);
    popMatrix();
  }
  cam.endHUD();
}